import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service arsenal
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_applicationdiscoveryarsenal.html
 */
export declare class Arsenal extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Grants permission to register AWS provided data collectors to the Application Discovery Service
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/setting-up.html#setting-up-user-policy
     */
    registerOnPremisesAgent(): this;
}
