import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service backup-storage
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_awsbackupstorage.html
 */
export declare class BackupStorage extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Associates a KMS key to a backup vault
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/aws-backup/latest/devguide/API_CreateBackupVault.html
     */
    mountCapsule(): this;
}
