import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service cassandra
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_amazonkeyspacesforapachecassandra.html
 */
export declare class Cassandra extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Grants permission to alter a keyspace or table
     *
     * Access Level: Write
     *
     *
     */
    alter(): this;
    /**
     * Grants permission to create a keyspace or table
     *
     * Access Level: Write
     *
     *
     */
    create(): this;
    /**
     * Grants permission to drop a keyspace or table
     *
     * Access Level: Write
     *
     *
     */
    drop(): this;
    /**
     * Grants permission to INSERT, UPDATE or DELETE data in a table
     *
     * Access Level: Write
     *
     *
     */
    modify(): this;
    /**
     * Grants permission to SELECT data from a table
     *
     * Access Level: Read
     *
     *
     */
    select(): this;
    /**
     * Grants permission to tag a keyspace or table
     *
     * Access Level: Tagging
     *
     *
     */
    tagResource(): this;
    /**
     * Grants permission to untag a keyspace or table
     *
     * Access Level: Tagging
     *
     *
     */
    untagResource(): this;
}
