import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service codeguru
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_amazoncodeguru.html
 */
export declare class Codeguru extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Gets free trial summary for the CodeGuru service which includes expiration date.
     *
     * Access Level: Read
     *
     * https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_GetCodeGuruFreeTrialSummary.html
     */
    getCodeGuruFreeTrialSummary(): this;
}
