import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service comprehendmedical
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_comprehendmedical.html
 */
export declare class Comprehendmedical extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Inspects the specified text for the specified type of entities and returns information about them.
     *
     * Access Level: Read
     *
     * https://docs.aws.amazon.com/comprehend/latest/dg/API_hera_DetectEntities.html
     */
    detectEntities(): this;
    /**
     * Inspects the specified text for PHI entities and returns information about them.
     *
     * Access Level: Read
     *
     * https://docs.aws.amazon.com/comprehend/latest/dg/API_hera_DetectPHI.html
     */
    detectPHI(): this;
}
