import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service cur
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_awscostandusagereport.html
 */
export declare class Cur extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Delete Cost and Usage Report Definition
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/delete-report-definition.html
     */
    deleteReportDefinition(): this;
    /**
     * Get Cost and Usage Report Definitions
     *
     * Access Level: Read
     *
     * https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/describe-report-definitions.html
     */
    describeReportDefinitions(): this;
    /**
     * Modify Cost and Usage Report Definition
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/modify-report-definition.html
     */
    modifyReportDefinition(): this;
    /**
     * Write Cost and Usage Report Definition
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/put-report-definition.html
     */
    putReportDefinition(): this;
}
