import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service ec2-instance-connect
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_amazonec2instanceconnect.html
 */
export declare class Ec2InstanceConnect extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Grants permission to push the SSH public key to the instance metadata where it remains for 60 seconds.
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/ec2-instance-connect/latest/APIReference/API_SendSSHPublicKey.html
     */
    sendSSHPublicKey(): this;
}
