import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service iq-permission
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_awsiqpermissions.html
 */
export declare class IqPermission extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Grants permission to approve an access grant
     *
     * Access Level: Write
     *
     * https://aws.amazon.com/iq/
     */
    approveAccessGrant(): this;
}
