import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service neptune-db
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_amazonneptune.html
 */
export declare class NeptuneDb extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Connect to database
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/neptune/latest/userguide/get-started.html
     */
    connect(): this;
}
