import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service pi
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_awsperformanceinsights.html
 */
export declare class Pi extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * For a specific time period, retrieve the top N dimension keys for a metric.
     *
     * Access Level: Read
     *
     *
     */
    describeDimensionKeys(): this;
    /**
     * Retrieve PI metrics for a set of data sources, over a time period.
     *
     * Access Level: Read
     *
     *
     */
    getResourceMetrics(): this;
}
