import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service trustedadvisor
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_awstrustedadvisor.html
 */
export declare class Trustedadvisor extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * View support plan and various TA preferences.
     *
     * Access Level: Read
     *
     *
     */
    describeAccount(): this;
    /**
     * Resolve whether Account has disabled Trusted Advisor
     *
     * Access Level: Read
     *
     *
     */
    describeAccountAccess(): this;
    /**
     * View details for the check items
     *
     * Access Level: Read
     *
     *
     */
    describeCheckItems(): this;
    /**
     * Describe check refresh statuses
     *
     * Access Level: Read
     *
     *
     */
    describeCheckRefreshStatuses(): this;
    /**
     * Describes the check's summaries
     *
     * Access Level: Read
     *
     *
     */
    describeCheckSummaries(): this;
    /**
     * List valid Trusted Advisor checks and details.
     *
     * Access Level: Read
     *
     *
     */
    describeChecks(): this;
    /**
     * Describes the notification preferences for the account
     *
     * Access Level: Read
     *
     *
     */
    describeNotificationPreferences(): this;
    /**
     * Exclude recommendations for checks for a given customer
     *
     * Access Level: Write
     *
     *
     */
    excludeCheckItems(): this;
    /**
     * Include recommendations for checks for a given customer
     *
     * Access Level: Write
     *
     *
     */
    includeCheckItems(): this;
    /**
     * Enqueue a refresh for the specified check
     *
     * Access Level: Write
     *
     *
     */
    refreshCheck(): this;
    /**
     * Toggle whether TrustedAdvisor is enabled/disabled for the account
     *
     * Access Level: Write
     *
     *
     */
    setAccountAccess(): this;
    /**
     * Update notification preferences
     *
     * Access Level: Write
     *
     *
     */
    updateNotificationPreferences(): this;
}
