import { PolicyStatement, Actions } from "./shared";
/**
 * Action provider for service workmailmessageflow
 *
 * https://docs.aws.amazon.com/IAM/latest/UserGuide/list_amazonworkmailmessageflow.html
 */
export declare class Workmailmessageflow extends PolicyStatement {
    servicePrefix: string;
    actions: Actions;
    /**
     * Grants permission to read the content of email messages with the specified message ID
     *
     * Access Level: Read
     *
     * https://docs.aws.amazon.com/workmail/latest/APIReference/API_messageflow_GetRawMessageContent.html
     */
    getRawMessageContent(): this;
}
